> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lumenaza.de/llms.txt
> Use this file to discover all available pages before exploring further.

# Get v3producers

> Returns a list of dictionaries with key information for producers



## OpenAPI

````yaml /lumx_openapi.yaml get /v3/producers/
openapi: 3.0.3
info:
  title: Lumenaza external API
  version: 3.8.0 (v3)
  description: Specification of the Lumenaza external API.
servers:
  - url: https://api.lumenaza.de/
    description: Produktivserver
  - url: https://api.test.lumenaza.de/
    description: Testserver
security: []
tags:
  - name: Community Data API
    description: >-
      The API is used to retrieve master data and measurement data for a
      community. A community is defined by all customers that belong to your
      company
  - name: Consumer API
    description: >-
      Manage consumers, their contracts, products, readings, and charges or
      credits
  - name: Consumption Forecast API
    description: Retrieve consumption forecasts for grid contracts
  - name: Customer Portal API
    description: Request a customer portal password reset
  - name: Customer API
    description: Retrieve product and pricing information for a customer contract
  - name: Files API
    description: Upload files and receive identifiers for use in other API requests
  - name: Market Partner API
    description: List market partners and retrieve market partner bills and payment advices
  - name: Master Data API
    description: Submit and track changes to customer and redispatch master data
  - name: Migration API
    description: Migrate consumer contracts and add contracts during migration
  - name: Offer Calculator API
    description: Calculate customer offers for a tariff and the supplied parameters
  - name: Price Calculator API
    description: >-
      Retrieve day-ahead electricity prices, local utility prices, and estimated
      CO₂ savings
  - name: Producer API
    description: >-
      Manage producers, their contracts, plants, feed-in data, and charges or
      credits
  - name: User Documents API
    description: List and retrieve documents associated with users and their contracts
  - name: Validation API
    description: >-
      Validate market location identifiers, IBANs, and preferred delivery start
      dates
paths:
  /v3/producers/:
    get:
      tags:
        - Producer API
      description: Returns a list of dictionaries with key information for producers
      operationId: producers_list
      parameters:
        - in: query
          name: saas_customer_lead_id
          schema:
            type: string
          description: >-
            Additional tracking ID to identify the customer in the
            salespartner's system
      responses:
        '200':
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ProducerList'
              examples:
                SuccessExampleResponse:
                  value:
                    - saas_customer_id: customer_id
                      saas_customer_lead_id: E20581C5-F71F-11ea-9344-005056B1779F
                      company: false
                      prosumer: null
                  summary: Success Example Response
          description: ''
components:
  schemas:
    ProducerList:
      type: object
      properties:
        saas_customer_id:
          type: string
        saas_customer_lead_id:
          type: string
        company:
          type: boolean
        prosumer:
          type: string
          nullable: true
          description: returns the customer id of related consumer
          readOnly: true
      required:
        - company
        - prosumer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.